Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 523690 - Installation of nss-mdns as a new dependency of wine breaks name resolution
Summary: Installation of nss-mdns as a new dependency of wine breaks name resolution
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nss-mdns
Version: 11
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 13:05 UTC by Jyrki Tikka
Modified: 2010-06-28 14:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:41:12 UTC
Type: ---


Attachments (Terms of Use)

Description Jyrki Tikka 2009-09-16 13:05:34 UTC
Description of problem:

Recent installation of nss-mdns as a new dependency of the wine package breaks several features of name resolution including ssh-connections.


Version-Release number of selected component (if applicable):

wine                   i586          1.1.29-1.fc11
nss-mdns               i586          0.10-7.fc11


How reproducible:


Steps to Reproduce:
1. yum update  (after Sep 14 or so)
   or
   yum install wine
2. ssh othernode
  
Actual results:

[root@thisnode ~]# host othernode
othernode.company.local has address xxx.xxx.xxx.xxx
[root@thisnode ~]# ssh othernode
reverse mapping checking getaddrinfo for othernode.company.local [xxx.xxx.xxx.xxx] failed - POSSIBLE BREAK-IN ATTEMPT!
Last login: Wed Sep 16 14:36:12 2009 from thisnode                            
[root@othernode ~]#


Expected results:

[root@thisnode ~]# host othernode
othernode.company.local has address xxx.xxx.xxx.xxx
[root@thisnode ~]# ssh othernode
Last login: Wed Sep 16 14:37:26 2009 from thisnode
[root@othernode ~]#



Additional info:

Removing nss-mdns along with all the wine packages solves this problem.

Comment 1 Lennart Poettering 2009-09-17 02:31:25 UTC
'host' does not use NSS APIs, and hence is not influenced by nss-mdns. Not sure what this is about, but they way you present it this has nothing to do with nss-mdns...

Comment 2 Jyrki Tikka 2009-09-17 07:38:37 UTC
Well, the 'host' command was there to show that the target address was valid. The real problem is with 'ssh' and other commands. Let me give some further examples that show that there is certainly something weird going on with 'nss-mdns':

---
yum
---

# rpm -i nss-mdns-0.10-7.fc11.i586.rpm
# yum clean all
Loaded plugins: refresh-packagekit
Cleaning up Everything
# yum makecache
Loaded plugins: refresh-packagekit
http://reposerver.company.local/fedora/releases/11/Everything/i386/os/repodata/r
epomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. 
Please verify its path and try again
# cat /etc/yum.repos.d/fedora.repo
[fedora]
name=Fedora $releasever - $basearch
baseurl=http://reposerver.company.local/fedora/releases/$releasever/Everything/$
basearch/os/
enabled=1
...
# rpm -e nss-mdns
# yum clean all
Loaded plugins: refresh-packagekit
Cleaning up Everything
# yum makecache
Loaded plugins: refresh-packagekit
fedora                                                   | 3.8 kB     00:00
fedora/group_gz                                          | 370 kB     00:00
...


----
wget
----

# PROXY=proxyserver.company.local
# USER=anonymous%40ftp.funet.fi
# HOST=ftp://$USER@$PROXY
# FEDORA=pub/mirrors/fedora.redhat.com/pub/fedora/linux
# RELEASES=$FEDORA/releases
# wget -nH $HOST/$RELEASES/11/Fedora/i386/os/isolinux/splash.jpg
--2009-09-17 10:11:52--  ftp://anonymous%40ftp.funet.fi@proxyserver.company.loca
l/pub/mirrors/fedora.redhat.com/pub/fedora/linux/releases/11/Fedora/i386/os/isol
inux/splash.jpg
           => `splash.jpg'
Resolving proxyserver.company.local... xxx.xxx.xxx.xxx
Connecting to proxyserver.company.local|xxx.xxx.xxx.xxx|:21... connected.
Logging in as anonymous@ftp.funet.fi ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/mirrors/fedora.redhat.com/pub/fedora/linux/re
leases/11/Fedora/i386/os/isolinux ... done.
==> SIZE splash.jpg ... 775160              
==> PASV ... done.    ==> RETR splash.jpg ... done.
Length: 775160 (757K)               
 
100%[======================================>] 775,160     4.37M/s   in 0.2s
 
2009-09-17 10:11:53 (4.37 MB/s) - `splash.jpg' saved [775160]
 
# rpm -i nss-mdns-0.10-7.fc11.i586.rpm
# wget -nH $HOST/$RELEASES/11/Fedora/i386/os/isolinux/splash.jpg
--2009-09-17 10:13:35--ftp://anonymous%40ftp.funet.fi@proxyserver.company.local/pub/mirrors/fedora.redhat.com/pub/fedora/linux/releases/11/Fedora/i386/os/isolinux/splash.jpg 
           => `splash.jpg.1'
Resolving proxyserver.company.local... failed: Name or service not known.
wget: unable to resolve host address `proxyserver.company.local'
# rpm -e nss-mdns

Comment 3 Jyrki Tikka 2009-10-12 13:27:15 UTC
There is a workaround!

The nss-mdns package inserts its own method of name resolving into /etc/nsswitch.conf

I changed the line

    hosts:      files mdns4_minimal [NOTFOUND=return] dns

into

    hosts:      files dns

After this everything is back to normal. If I only remove the "[NOTFOUND...]" part, there is a delay (about 15 seconds) before the query is routed to the DNS.

Comment 4 Bug Zapper 2010-04-28 10:24:33 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:41:12 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.